Bug 1920196 - [abrt] pipewire-pulseaudio: pipewire-pulse killed by SIGSEGV
Summary: [abrt] pipewire-pulseaudio: pipewire-pulse killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 33
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2aa938af754930eae5c96d5e401...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-25 18:18 UTC by Real Name
Modified: 2021-02-06 01:17 UTC (History)
2 users (show)

Fixed In Version: pipewire-0.3.21-2.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-06 01:17:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (11.98 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: core_backtrace (2.97 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: cpuinfo (2.25 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: dso_list (2.89 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: environ (1.82 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: exploitable (82 bytes, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: limits (1.29 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: maps (18.64 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: mountinfo (2.79 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: open_fds (7.57 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: proc_pid_status (1.35 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details
File: var_log_messages (9.84 KB, text/plain)
2021-01-25 18:18 UTC, Real Name
no flags Details

Description Real Name 2021-01-25 18:18:11 UTC
Description of problem:
No idea. I left Mednafen running in the background and when I came back a few minutes later, Mednafen was frozen and I had this ABRT notification popping up.

Version-Release number of selected component:
pipewire-pulseaudio-0.3.20-1.fc33

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/pipewire-pulse.service
cmdline:        /usr/bin/pipewire-pulse
executable:     /usr/bin/pipewire-pulse
journald_cursor: s=5b2bc4fb951a483aad9e29dd9471266b;i=10aa0;b=ba8da956f72041498971dc1827967882;m=1aff570de;t=5b9bc6e470e30;x=1a75c51a74747762
kernel:         5.10.9-201.fc33.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 ??
 #1 pw_stream_destroy at ../src/pipewire/stream.c:1316
 #2 stream_free at ../src/modules/module-protocol-pulse/pulse-server.c:902
 #3 do_delete_stream at ../src/modules/module-protocol-pulse/pulse-server.c:2065
 #4 handle_packet at ../src/modules/module-protocol-pulse/pulse-server.c:4830
 #5 do_read at ../src/modules/module-protocol-pulse/pulse-server.c:4979
 #6 on_client_data at ../src/modules/module-protocol-pulse/pulse-server.c:5024
 #7 loop_iterate at ../spa/plugins/support/loop.c:308
 #8 pw_main_loop_run at ../src/pipewire/main-loop.c:158

Comment 1 Real Name 2021-01-25 18:18:15 UTC
Created attachment 1750672 [details]
File: backtrace

Comment 2 Real Name 2021-01-25 18:18:16 UTC
Created attachment 1750673 [details]
File: core_backtrace

Comment 3 Real Name 2021-01-25 18:18:18 UTC
Created attachment 1750674 [details]
File: cpuinfo

Comment 4 Real Name 2021-01-25 18:18:19 UTC
Created attachment 1750675 [details]
File: dso_list

Comment 5 Real Name 2021-01-25 18:18:20 UTC
Created attachment 1750676 [details]
File: environ

Comment 6 Real Name 2021-01-25 18:18:21 UTC
Created attachment 1750677 [details]
File: exploitable

Comment 7 Real Name 2021-01-25 18:18:22 UTC
Created attachment 1750678 [details]
File: limits

Comment 8 Real Name 2021-01-25 18:18:23 UTC
Created attachment 1750679 [details]
File: maps

Comment 9 Real Name 2021-01-25 18:18:24 UTC
Created attachment 1750680 [details]
File: mountinfo

Comment 10 Real Name 2021-01-25 18:18:25 UTC
Created attachment 1750681 [details]
File: open_fds

Comment 11 Real Name 2021-01-25 18:18:26 UTC
Created attachment 1750682 [details]
File: proc_pid_status

Comment 12 Real Name 2021-01-25 18:18:28 UTC
Created attachment 1750683 [details]
File: var_log_messages

Comment 13 Real Name 2021-01-26 21:34:44 UTC
Yeah I can fully reproduce this by leaving Mednafen open in the background, even if paused (in-game, not the emulation itself). It seems to crash on random functions, so no pattern here besides leaving Mednafen open and expecting pipewire-pulse to segfault, although it takes a while.

Comment 14 Fedora Update System 2021-02-04 10:39:15 UTC
FEDORA-2021-f394ea10e9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f394ea10e9

Comment 15 Fedora Update System 2021-02-05 01:27:29 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d6d23603c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d6d23603c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-02-06 01:17:59 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.